Bug 3611 - Shutdown problem
Shutdown problem
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: basesystem (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-21 05:55 EDT by ocker
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-21 15:15:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ocker 1999-06-21 05:55:23 EDT
I have a Pentium II, intel 233mhz
Viper 330 4mb AGP video card,
Seagate Medallist Pro 2.5gb IDE HDD
128mb Ram
Iomega Zip SCSI Insider
Yamaha  4260t SCSI CDRW
Adaptec 2940UW SCSI card
NEC Multisync 3D monitor

Am running Redhat 5.2 on hda1 (boot from floppy) no
problems.

Redhat 6.0 runs on hda6

Swap is hda5, used by both distro's.

Multi boot from Lilo.

PROBLEM:- when shutting down Redhat 6.0, after either
booting from Lilo or from floppy, shutdown gets to "system
is halted" ok, but then says "stopping all md devices" and
scrolls junk on screen until I hit the Powerioff switch.

I know from Usenet that there are at least 2 other persons
with this problem using Redhat 6.0, and at least 3 persons
with similar problems using Mandrake 6.0

I'm a relative Newbie, but have had no problems with Redhat
5.2. Have installed Redhat 6.0 twice to date - first time
without Gnome but with KDE, second time with Gnome and KDE.
Comment 1 Bill Nottingham 1999-06-21 13:55:59 EDT
what happens if you change the last line of /etc/rc.d/init.d/halt
from

eval $command -i -d -p

to

eval $command -i -d

?
Comment 2 David Lawrence 1999-06-21 15:15:59 EDT
Red Hat 6.0 ships with 2.2.5-15 kernels with APM enabled by default.
This works fine with most APM compliant BIOS's. It is possible that
the APM features of your motherboard are not fully compliant and you
get the junk when the kernel is trying to tell the motherboard to turn
off after everything else is stopped. The best way to fix this is to
recompile your kernel with the "power off on shutdown" disabled. If
this doesnt work then you can reopen the bug.

------- Email Received From  bill <ocker@rocketmail.com> 06/22/99 00:12 -------

Note You need to log in before you can comment on or make changes to this bug.